/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.dto.dataSets;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.dataPool.db.entity.DataSetTree;

import java.io.Serializable;
import java.util.List;

/**
* Restful接口--资源详情--数据传输对象：数据集树目录表
*
* createdate:  2022-10-24 17:01:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据集树目录表")
public class DataSetTreeDetailDto extends DataSetTree implements Serializable
{
    /**
     * 子节点列表<br>
     */
    @ApiModelProperty("子节点列表")
    private List<DataSetTreeDetailDto> children;

    @ApiModelProperty("节点次序")
    private Integer idx;

    public Integer getIdx() {
        return idx;
    }

    public void setIdx(Integer idx) {
        this.idx = idx;
    }

    public List<DataSetTreeDetailDto> getChildren() {
        return children;
    }

    public void setChildren(List<DataSetTreeDetailDto> children) {
        this.children = children;
    }
}